VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::DatastoreTypes::Type Class Reference

The `Datastore.Type` enumerated type defines the supported types of vCenter datastores. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | VMFS = new Type("VMFS", Values.VMFS)
| VMware File System (ESX Server only).
static readonly Type | NFS = new Type("NFS", Values.NFS)
| Network file system v3 (linux & esx servers only).
static readonly Type | NFS41 = new Type("NFS41", Values.NFS41)
| Network file system v4.1 (linux & esx servers only).
static readonly Type | CIFS = new Type("CIFS", Values.CIFS)
| Common Internet File System.
static readonly Type | VSAN = new Type("VSAN", Values.VSAN)
| Virtual SAN (ESX Server only).
static readonly Type | VFFS = new Type("VFFS", Values.VFFS)
| Flash Read Cache (ESX Server only).
static readonly Type | VVOL = new Type("VVOL", Values.VVOL)
| vSphere Virtual Volume (ESX Server only).

## Detailed Description

The `Datastore.Type` enumerated type defines the supported types of vCenter datastores.

## Member Enumeration Documentation

enum vmware::vcenter::DatastoreTypes::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  VMFS | VMware File System (ESX Server only).
  NFS | Network file system v3 (linux & esx servers only).
  NFS41 | Network file system v4.1 (linux & esx servers only).
  CIFS | Common Internet File System.
  VSAN | Virtual SAN (ESX Server only).
  VFFS | Flash Read Cache (ESX Server only).
  VVOL | vSphere Virtual Volume (ESX Server only).

## Member Function Documentation

Values vmware::vcenter::DatastoreTypes::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vcenter::DatastoreTypes::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::DatastoreTypes::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vcenter::DatastoreTypes::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vcenter::DatastoreTypes::Type::CIFS = new Type("CIFS", Values.CIFS)`[static]`

Common Internet File System.

readonly Type vmware::vcenter::DatastoreTypes::Type::NFS = new Type("NFS", Values.NFS)`[static]`

Network file system v3 (linux & esx servers only).

readonly Type vmware::vcenter::DatastoreTypes::Type::NFS41 = new Type("NFS41", Values.NFS41)`[static]`

Network file system v4.1 (linux & esx servers only).

readonly Type vmware::vcenter::DatastoreTypes::Type::VFFS = new Type("VFFS", Values.VFFS)`[static]`

Flash Read Cache (ESX Server only).

readonly Type vmware::vcenter::DatastoreTypes::Type::VMFS = new Type("VMFS", Values.VMFS)`[static]`

VMware File System (ESX Server only).

readonly Type vmware::vcenter::DatastoreTypes::Type::VSAN = new Type("VSAN", Values.VSAN)`[static]`

Virtual SAN (ESX Server only).

readonly Type vmware::vcenter::DatastoreTypes::Type::VVOL = new Type("VVOL", Values.VVOL)`[static]`

vSphere Virtual Volume (ESX Server only).

The documentation for this class was generated from the following file:

- DatastoreTypes.cs